VERSION 5.00
Begin VB.Form frmConfig 
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   4680
   ClientLeft      =   3540
   ClientTop       =   2550
   ClientWidth     =   6240
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4680
   ScaleWidth      =   6240
   ShowInTaskbar   =   0   'False
   Begin VB.CheckBox chkShowFileNames 
      Alignment       =   1  'Right Justify
      Caption         =   "Show File Names"
      Height          =   255
      Left            =   120
      TabIndex        =   11
      Top             =   1920
      Width           =   1815
   End
   Begin VB.Frame fraCopyright 
      Caption         =   "PictureSaver"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1335
      Left            =   120
      TabIndex        =   7
      Top             =   120
      Width           =   6015
      Begin VB.Label Label1 
         Alignment       =   2  'Center
         Caption         =   "To download the latest version of this program, go to:"
         Height          =   255
         Index           =   3
         Left            =   120
         TabIndex        =   10
         Top             =   600
         Width           =   5775
      End
      Begin VB.Label Label1 
         Alignment       =   2  'Center
         Caption         =   "Copyright 2000-2003, Rocky Mountain Computer Consulting, Inc."
         Height          =   255
         Index           =   2
         Left            =   120
         TabIndex        =   9
         Top             =   360
         Width           =   5775
      End
      Begin VB.Label lblWeb 
         Alignment       =   2  'Center
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "http://www.vb-helper.com/howto_picture_saver.html"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   -1  'True
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FF0000&
         Height          =   195
         Left            =   735
         MouseIcon       =   "Config.frx":0000
         MousePointer    =   99  'Custom
         TabIndex        =   8
         Top             =   960
         Width           =   4545
      End
   End
   Begin VB.TextBox txtInterval 
      Height          =   285
      Left            =   1560
      TabIndex        =   6
      Text            =   "60"
      Top             =   1560
      Width           =   495
   End
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete"
      Enabled         =   0   'False
      Height          =   375
      Left            =   2760
      TabIndex        =   4
      Top             =   4200
      Width           =   735
   End
   Begin VB.CommandButton cmdAdd 
      Caption         =   "Add..."
      Height          =   375
      Left            =   1680
      TabIndex        =   3
      Top             =   4200
      Width           =   735
   End
   Begin VB.ListBox lstDirectories 
      Height          =   1815
      Left            =   120
      TabIndex        =   2
      Top             =   2280
      Width           =   4935
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   5400
      TabIndex        =   1
      Top             =   2160
      Width           =   735
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "Ok"
      Default         =   -1  'True
      Height          =   375
      Left            =   5400
      TabIndex        =   0
      Top             =   1560
      Width           =   735
   End
   Begin VB.Label Label1 
      Caption         =   "Interval (seconds)"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   5
      Top             =   1560
      Width           =   1335
   End
End
Attribute VB_Name = "frmConfig"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Copyright 2000-2003, Rocky Mountain Computer Consulting, Inc.
'
' Feel free to use this program yourself or distribute it
' in its unchanged form. Better than distributing it,
' tell people to get it from:
'
'       http://www.vb-helper.com/PictureSaver.htm
'
' This page contains the most recent version of the program.
'
' See the file Readme.txt for installation instructions and
' other information.

Private Type BrowseInfo
    hWndOwner As Long
    pidlRoot As Long
    sDisplayName As String
    sTitle As String
    ulFlags As Long
    lpfn As Long
    lParam As Long
    iImage As Long
End Type

Private Declare Function SHBrowseForFolder Lib "shell32.dll" (bBrowse As BrowseInfo) As Long
Private Declare Function SHGetPathFromIDList Lib "shell32.dll" (ByVal lItem As Long, ByVal sDir As String) As Long

Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Private Const SW_SHOW = 5
' Let the user add a new directory to the list.
Private Sub cmdAdd_Click()
Dim dir_name As String

    dir_name = BrowseForDirectory()
    If Len(dir_name) > 0 Then lstDirectories.AddItem dir_name
End Sub
' Let the user browse for a directory. Return the
' selected directory. Return an empty string if
' the user cancels.
Private Function BrowseForDirectory() As String
Dim browse_info As BrowseInfo
Dim item As Long
Dim dir_name As String
   
    browse_info.hWndOwner = hwnd
    browse_info.pidlRoot = 0
    browse_info.sDisplayName = Space$(260)
    browse_info.sTitle = "Select Directory"
    browse_info.ulFlags = 1 ' Return directory name.
    browse_info.lpfn = 0
    browse_info.lParam = 0
    browse_info.iImage = 0

    item = SHBrowseForFolder(browse_info)
    If item Then
        dir_name = Space$(260)
        If SHGetPathFromIDList(item, dir_name) Then
            BrowseForDirectory = Left(dir_name, InStr(dir_name, Chr$(0)) - 1)
        Else
            BrowseForDirectory = ""
        End If
    End If
End Function
Private Sub cmdCancel_Click()
    Unload Me
End Sub


' Delete the selected directory.
Private Sub cmdDelete_Click()
    lstDirectories.RemoveItem lstDirectories.ListIndex
    cmdDelete.Enabled = False
End Sub

' Save the new configuration values.
Private Sub cmdOk_Click()
Dim i As Integer
Dim dir_name As String

    ' Get the new interval.
    On Error Resume Next
    g_Interval = CLng(txtInterval.Text)

    ' Should we show file names?
    g_ShowFileNames = (chkShowFileNames.Value = vbChecked)

    ' Get the new directories and their files.
    Set g_Directories = New Collection
    Set g_Files = New Collection
    For i = 0 To lstDirectories.ListCount - 1
        dir_name = lstDirectories.List(i)
        g_Directories.Add dir_name
        LoadDirectoryFiles dir_name
    Next i
    On Error GoTo 0

    ' Save the new values.
    SaveConfig

    ' Unload this form.
    Unload Me
End Sub
' Fill in current values.
Private Sub Form_Load()
Dim i As Integer

    fraCopyright.Caption = "PictureSaver " & App.Major & "." & App.Minor

    ' Display the directories.
    For i = 1 To g_Directories.Count
        lstDirectories.AddItem g_Directories(i)
    Next i

    ' Display the interval.
    txtInterval.Text = g_Interval

    If g_ShowFileNames Then
        chkShowFileNames.Value = vbChecked
    Else
        chkShowFileNames.Value = vbUnchecked
    End If

    ' Center the form.
    Move (Screen.Width - Width) / 2, (Screen.Height - Height) / 2
End Sub
Private Sub lblWeb_Click()
    ShellExecute hwnd, "open", lblWeb.Caption, _
        vbNullString, vbNullString, SW_SHOW
End Sub

Private Sub lstDirectories_Click()
    cmdDelete.Enabled = (lstDirectories.ListIndex >= 0)
End Sub
