VERSION 5.00
Begin VB.Form frmCover 
   AutoRedraw      =   -1  'True
   BackColor       =   &H00000000&
   BorderStyle     =   0  'None
   ClientHeight    =   2910
   ClientLeft      =   2010
   ClientTop       =   2430
   ClientWidth     =   3480
   ControlBox      =   0   'False
   FillStyle       =   0  'Solid
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   13.5
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00FFFFFF&
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2910
   ScaleWidth      =   3480
   ShowInTaskbar   =   0   'False
   WindowState     =   2  'Maximized
   Begin VB.PictureBox picHidden 
      AutoSize        =   -1  'True
      BorderStyle     =   0  'None
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   855
      Left            =   480
      ScaleHeight     =   855
      ScaleWidth      =   975
      TabIndex        =   0
      Top             =   1680
      Visible         =   0   'False
      Width           =   975
   End
   Begin VB.Timer tmrShowPicture 
      Interval        =   750
      Left            =   1800
      Top             =   960
   End
End
Attribute VB_Name = "frmCover"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
' Copyright 2000-2003, Rocky Mountain Computer Consulting, Inc.
'
' Feel free to use this program youself or distribute it
' in its unchanged form. Better than distributing it,
' tell people to get it from:
'
'       http://www.vb-helper.com/PictureSaver.htm
'
' This page contains the most recent version of the program.
'
' See the file Readme.txt for installation instructions and
' other information.

Private Sub Form_Click()
    If RunMode = rmScreenSaver Then Unload Me
End Sub

Private Sub Form_DblClick()
    If RunMode = rmScreenSaver Then Unload Me
End Sub


Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    If RunMode = rmScreenSaver Then Unload Me
End Sub


Private Sub Form_KeyPress(KeyAscii As Integer)
    If RunMode = rmScreenSaver Then Unload Me
End Sub

Private Sub Form_Resize()
    AutoRedraw = True

    ' Make the first picture appear when the timer fires.
    g_NextTime = Now

    ' Fire the timer.
    tmrShowPicture_Timer
End Sub
Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If RunMode = rmScreenSaver Then Unload Me
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Static x0 As Integer
Static y0 As Integer

    ' Do nothing except in screen saver mode.
    If RunMode <> rmScreenSaver Then Exit Sub

    ' Unload on large mouse movements.
    If ((x0 = 0) And (y0 = 0)) Or _
        ((Abs(x0 - X) < 5) And (Abs(y0 - Y) < 5)) _
        Then
            ' It's a small movement.
            x0 = X
            y0 = Y
            Exit Sub
    End If

    Unload Me
End Sub


' Redisplay the cursor if we hid it in Sub Main.
Private Sub Form_Unload(Cancel As Integer)
    If RunMode = rmScreenSaver Then ShowCursor True
End Sub

' Display the next picture.
Private Sub tmrShowPicture_Timer()
Dim file_num As Integer
Dim file_name As String
Dim pic_scale As Single
Dim wid As Single
Dim hgt As Single
Dim X As Single
Dim Y As Single

    ' See if it's time yet.
    If Now < g_NextTime Then Exit Sub

    ' Record the next time we should display a picture.
    g_NextTime = DateAdd("s", g_Interval, Now)

    ' Make sure we have a picture.
    If g_Files.Count < 1 Then
        DrawWidth = 5
        Line (0, 0)-(ScaleWidth, ScaleHeight), vbRed
        Line (ScaleWidth, 0)-(0, ScaleHeight), vbRed
        Exit Sub
    End If

    ' Pick a random picture.
    file_num = Int(Rnd * g_Files.Count + 1)

    ' Load the picture.
    Cls
    On Error GoTo FileErr
    picHidden.Picture = LoadPicture(g_Files(file_num))

    ' See if we are in preview mode.
    If RunMode = rmPreview Then
        ' Preview mode. Scale the picture to fit.
        If ScaleWidth / Screen.Width < ScaleHeight / Screen.Height Then
            pic_scale = ScaleWidth / Screen.Width
        Else
            pic_scale = ScaleHeight / Screen.Height
        End If
        wid = pic_scale * picHidden.ScaleWidth
        hgt = pic_scale * picHidden.ScaleHeight
        X = (ScaleWidth - wid) / 2
        Y = (ScaleHeight - hgt) / 2
        PaintPicture picHidden.Picture, X, Y, wid, hgt
    Else
        ' Display the picture at its full size.
        X = (ScaleWidth - picHidden.ScaleWidth) / 2
        Y = (ScaleHeight - picHidden.ScaleHeight) / 2
        PaintPicture picHidden.Picture, X, Y

        ' Display the file name if necessary.
        If g_ShowFileNames Then
            CurrentX = 0
            CurrentY = 0
            Print g_Files(file_num)
        End If
    End If
    Exit Sub

FileErr:
    DrawWidth = 5
    Line (0, 0)-(ScaleWidth, ScaleHeight), vbRed
    Line (ScaleWidth, 0)-(0, ScaleHeight), vbRed
    Exit Sub
End Sub
